> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bebop.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Competition

> Get the solver competition results for a given quote, including which solvers participated and their offered prices.



## OpenAPI

````yaml /specs/aggregation-api.json get /v2/competition/{quote_id}
openapi: 3.1.0
info:
  title: Bebop Aggregation API
  version: '2'
  description: >-
    Aggregation API powered by solver competition. Get the best swap prices from
    multiple solvers.
servers:
  - url: https://api.bebop.xyz/jam/{chain}
    variables:
      chain:
        default: ethereum
        enum:
          - ethereum
          - polygon
          - arbitrum
          - bsc
          - zksync
          - optimism
          - blast
          - mode
          - base
          - scroll
          - taiko
          - superseed
          - berachain
          - hyperevm
          - avalanche
        description: Blockchain network
security: []
paths:
  /v2/competition/{quote_id}:
    get:
      summary: Competition
      description: >-
        Get the solver competition results for a given quote, including which
        solvers participated and their offered prices.
      operationId: getCompetition
      parameters:
        - name: quote_id
          in: path
          required: true
          schema:
            type: string
            title: Quote Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolverCompetitionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SolverCompetitionResponse:
      properties:
        quoteId:
          type: string
          title: Quoteid
        solutions:
          items:
            $ref: '#/components/schemas/SolverCompetitionQuote'
          type: array
          title: Solutions
      type: object
      required:
        - quoteId
        - solutions
      title: SolverCompetitionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SolverCompetitionQuote:
      properties:
        solver:
          type: string
          title: Solver
        amounts:
          additionalProperties:
            $ref: '#/components/schemas/SolverQuoteOutput'
          type: object
          title: Amounts
        reputation:
          type: integer
          title: Reputation
        response_time:
          type: number
          title: Response Time
      type: object
      required:
        - solver
        - amounts
        - reputation
        - response_time
      title: SolverCompetitionQuote
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SolverQuoteOutput:
      properties:
        amount:
          type: string
          title: Amount
        amountUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Amountusd
      type: object
      required:
        - amount
        - amountUsd
      title: SolverQuoteOutput

````